org.bouncycastle.pqc.crypto.mlkem

## Class MLKEMPublicKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.pqc.crypto.mlkem.MLKEMKeyParameters
    - - org.bouncycastle.pqc.crypto.mlkem.MLKEMPublicKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class MLKEMPublicKeyParameters
      extends MLKEMKeyParameters

  Public key parameters for ML-KEM (Module-Lattice Key Encapsulation Mechanism). Contains public key components including polynomial coefficients for cryptographic operations.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) byte[]` | `rho`
    `(package private) byte[]` | `t`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MLKEMPublicKeyParameters(MLKEMParameters params, byte[] encoding)`
    `MLKEMPublicKeyParameters(MLKEMParameters params, byte[] t, byte[] rho)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncoded()`
    `(package private) static byte[]` | `getEncoded(byte[] t, byte[] rho)`
    `byte[]` | `getRho()`
    `byte[]` | `getT()`

    - ### Methods inherited from class org.bouncycastle.pqc.crypto.mlkem.MLKEMKeyParameters

      `getParameters`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rho

          final byte[] rho

    - #### t

          final byte[] t

  - ### Constructor Detail

    - #### MLKEMPublicKeyParameters

          public MLKEMPublicKeyParameters(MLKEMParameters params,
                                          byte[] encoding)

    - #### MLKEMPublicKeyParameters

          public MLKEMPublicKeyParameters(MLKEMParameters params,
                                          byte[] t,
                                          byte[] rho)

  - ### Method Detail

    - #### getEncoded

          public byte[] getEncoded()

    - #### getEncoded

          static byte[] getEncoded(byte[] t,
                                   byte[] rho)

    - #### getRho

          public byte[] getRho()

    - #### getT

          public byte[] getT()